Package org.apache.sling.event.impl.jobs.queues

# Class ResultBuilderImpl

java.lang.Object
org.apache.sling.event.impl.jobs.queues.ResultBuilderImpl

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`

public class ResultBuilderImpl extends Object implements org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder

## Constructor Summary

Constructors
Constructor
Description
`ResultBuilderImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.event.jobs.consumer.JobExecutionResult`
`cancelled()`
`org.apache.sling.event.jobs.consumer.JobExecutionResult`
`failed()`
`org.apache.sling.event.jobs.consumer.JobExecutionResult`
`failed(long retryDelayInMs)`
`org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`
`message(String message)`
`org.apache.sling.event.jobs.consumer.JobExecutionResult`
`succeeded()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultBuilderImpl

public ResultBuilderImpl()

## Method Details

### failed

public org.apache.sling.event.jobs.consumer.JobExecutionResult failed(long retryDelayInMs)

Specified by:
  `failed` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`

### message

public org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder message(String message)

Specified by:
  `message` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`

### succeeded

public org.apache.sling.event.jobs.consumer.JobExecutionResult succeeded()

Specified by:
  `succeeded` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`

### failed

public org.apache.sling.event.jobs.consumer.JobExecutionResult failed()

Specified by:
  `failed` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`

### cancelled

public org.apache.sling.event.jobs.consumer.JobExecutionResult cancelled()

Specified by:
  `cancelled` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`